Name:          cryptacular
Version:       1.1.0
Release:       6%{?dist}
Summary:       Java Library that complement to the Bouncy Castle crypto API
# See https://github.com/vt-middleware/cryptacular/issues/25
License:       ASL 2.0 or LGPLv3
URL:           http://www.cryptacular.org/
Source0:       https://github.com/vt-middleware/cryptacular/archive/v%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.testng:testng)

BuildArch:     noarch

%description
Cryptacular in a nutshell:

° Utilities to perform common crypto operations (hash, encrypt, encode).
° Stateful, thread-safe bean components.
° Components to facilitate strict adherence to standards.
° Comprehensive documentation and examples.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# Unneeded tasks
%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin']/pom:executions"
%pom_remove_plugin :maven-checkstyle-plugin

%mvn_file org.%{name}:%{name} %{name}

%build
# Test disabled. Caused by: java.lang.ArrayIndexOutOfBoundsException: 1 (on koji builders only)
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE LICENSE-apache2 LICENSE-lgpl NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE LICENSE-apache2 LICENSE-lgpl NOTICE

%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Merlin Mathesius <mmathesi@redhat.com> - 1.1.0-4
- Add missing BR maven-assembly-plugin to fix FTBFS

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jun 05 2016 gil cattaneo <puntogil@libero.it> 1.1.0-1
- initial rpm
